<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <link rel="stylesheet" href="/~style.css" type="text/css" />
  <link rel="stylesheet" href="/~style.menu.css" type="text/css" />
  <title>HFS %folder%</title>
  <link rel="shortcut icon" href="/favicon.ico" />

<!--[if lte IE 5.5]>
<style type="text/css">
.menu ul li a, .menu ul li a:visited { width:151px; w\idth:139px; }
</style>
<![endif]-->

{.comment|
Grâce à la ligne suivante, vous pouvez personnaliser l'apparence du template d'origine par un
Clic droit sur la racine du Système de Fichier Virtuel, puis -> avancé -> Fusion de templates 
Puis taper [style.user] suivi de toutes les commandes de style que vous voulez.
De cette façon, vous resterez à jour tandis que le modèle d'origine évolue.
.}
<style type="text/css">{.$style.user.}</style>

<script type="text/javascript">

go_visibility = new Array;

function goblink()
	{
	if(document.getElementById && document.all)
		{
		blink_tab = document.getElementsByTagName('blink');
		for(a=0;a<blink_tab.length;a++)
			{
			if(go_visibility[a] != "visible")
				go_visibility[a] = "visible";
			else
				go_visibility[a] = "hidden";
			blink_tab[a].style.visibility=go_visibility[a];
			}
		}
	setTimeout("goblink()", 700);
	}

window.onload = goblink;
</script>

</head>
<body>
<table width='100%'>
<tr>
  <td width='95%'>
{.!Welcome.} %user% !<br /> </a>
<br />
<br />
    <div id=folderlabel>{.!Bfolder.}</div>
    <div id=folder>{.breadcrumbs|{:<a href="%bread-url%">{.if|{.%bread-name%=.}|Home|%bread-name%.}/</a>:} .}</div>
{.if| %user% |
  <td nowrap>
    <div class=button><img src="/~img27" /> {.!user.}: %user%</div>
/if.}
{.if| {.get|can recur.} |
  <td nowrap>
    <div class=button>
    <form style='width:210px'>
    <input name=search size=15 value="{.?search.}">
    <input type=submit value="{.!search.}">
    </form>
    </div>
/if.}
  <td nowrap>
    <div class="menu">
    <ul>
    <li class=last><a href="#"><span style='position:relative; top:5px; left:2px;'>{.!menu.}</span><!--[if IE 7]><!--></a><!--<![endif]-->
    	<!--[if lte IE 6]><table><tr><td><![endif]-->
    	<ul>
{.if not| %user%          | <li><a href="~login"><img src="/~img27" /> {.!Login.}</a></li> .}
{.if| {.get|can upload.}  | <li><a href="~upload"><img src="/~img32" /> {.!Upload.}</a></li> .}
{.if| {.and | {.get|can archive.} | {.not|{.?search.}.} .}
    | <li><a href="~folder.tar?recursive">{.!Folder archive.}</a></li>
.}
    	<li class="last"><a href="{.get|url|tpl=list|folders-filter=\|recursive.}">{.!File list.}</a></li>
    	</ul>
    	<!--[if lte IE 6]></td></tr></table></a><![endif]-->
    </li>
    </ul>
    </div>

</table>

<div id=body>
  {.if| %folder-item-comment% | <div id=foldercomment>%folder-item-comment%</div> .}
  {.if| {.?search.} | <a class=big href="."><img src="/~img14" /> {.!BACK.}</a> 
    | {.if| {.%folder% != / .} | <a class=big href=".."><img src="/~img14" /> {.!UP.}</a> .}
  /if.}
  {.if not| %number% | <div class=big>{.!No files.}</div> |
    <div id=folderstats>%number-folders% {.!folders.}(s),  %number-files% {.!files.}(s) - {.!Total.}: %total-size%</div>
    <table id=files cellpadding=5>
    {.set|rest| {:rev={.not|{.?rev.}.}:} .}
    <th><a href="{.get|url|sort=n|{.^rest.} .}">{.!Filename.}</a><a href="{.get|url|sort=e|{.^rest.} .}">{.!.ext.}</a>
    <th><a href="{.get|url|sort=s|{.^rest.} .}">{.!Filesize.}</a>
    <th><a href="{.get|url|sort=t|{.^rest.} .}">{.!Filetime.}</a>
    <th><a href="{.get|url|sort=d|{.^rest.} .}">{.!Hits.}</a>
    %list%
    </table>
  /if not.}
</div>

<div id=footer>
  <a href="http://www.rejetto.com/hfs/">HFS %version% Build %build%</a>
  <br / </a>
  <br />{.!Servertime.}: %timestamp%
  <br />{.!Uptime.}: %uptime%
  <br />{.!Build-time.}: %build-time% {.!seconds.}
  <br />Votre Adresse IP: %ip%  
</div>

</body>
</html>
<!-- Build-time: %build-time% -->

[style.css|no log]
body, th { font-family:tahoma, verdana, arial, helvetica, sans; font-weight:normal; font-size:9pt; }
body { margin:0; background-color:#DDF; padding:10px; }
p { margin:0 }
a { text-decoration:none;  background-color:Transparent; color:#05F; }
a:visited { color:#55F; }
a:hover { background-color:#EEF; }
img { border-style:none }
#files td { font-size:10pt; background:#FFF; border:1px solid #BBF }
#files td img { vertical-align:top }
#files th, th a, th a:visited { color:#555; font-size:13pt; font-weight:bold; padding-bottom:0; }
#foldercomment { font-size:10pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; border-bottom:3px solid #DDD; margin-top:2px; }
#folder, .big { font-size:14pt; font-weight:bold;  }
#folderlabel, #folderstats, #footer { font-size: 8pt; }
#body {
  border-bottom: 4px solid #BBF;
     border-top: 4px solid #BBF;
    border-left: 1px dotted #BBF;
   border-right: 1px dotted #BBF;
  background:#F3F3FF;
  padding:15px;
  margin:15px;
}
.comment { font-size:8pt; color:#888; background:#EEE; padding:3px; border:1px solid #DDD; margin-top:2px; }
.button { height:24px; padding:4px 10px; margin:5px; border:2px solid black; background:white; font-size:8pt; font-weight:bold; }
a.button { padding:8px 10px; }
a.button img { vertical-align:text-bottom; }
.flag { font-weight:bold; font-size:8pt; background:white; color:red; text-align:center; border:1px solid red; }
.item-folder { font-size:smaller; margin-top:4px; }

[style.menu.css|no log]
/* ================================================================ 
This copyright notice must be untouched at all times.

The original version of this stylesheet and the associated (x)html
is available at http://www.cssplay.co.uk/menus/drop_examples.html
Copyright (c) 2005-2007 Stu Nicholls. All rights reserved.
This stylesheet and the associated (x)html may be modified in any 
way to fit your requirements.
=================================================================== */
 /* common styling */
.menu { margin:0; width:150px; position:relative; font-size:10pt; z-index:100; clear:both; /* for this page only */ }
.menu ul { padding:0; margin:0; list-style-type: none; }
.menu ul li { float:left; position:relative; font-weight:bold; }
.menu li.last { border-bottom:2px solid #000; margin:0; }
.menu ul li a, .menu ul li a:visited { line-height:20px; height:32px; display:block; text-decoration:none; color:#000; width:139px; color:#000; border:2px solid #000; border-width:2px 2px 0 2px; padding-left:10px; background:#fff; }
.menu ul li ul { display: none; }
.menu table { margin:-1px; border-collapse:collapse;font-size:1em; } /* specific to non IE and IE7 browsers */
.menu ul li:hover a { color:#c00; }
.menu ul li:hover ul { display:block; position:absolute; top:33px; margin-top:1px; left:0; width:150px; height:auto; }
.menu ul li:hover ul li ul { display: none; }
.menu ul li:hover ul li a { line-height:15px; display:block; background:#ddd; color:#000; height:auto; padding:5px 10px; width:129px; }
.menu ul li a:hover ul li a.drop,
.menu ul li:hover ul li a.drop { background:#ddd; }
.menu ul li:hover ul li:hover ul li:hover a, /* for IE5.x and IE6 browsers only */
.menu ul li a:hover ul li a:hover,
.menu ul li:hover ul li:hover a { background:#888; color:#fff; }
.menu ul li a:hover ul li a.drop:hover,
.menu ul li:hover ul li:hover a.drop { background:#888; }
.menu ul li:hover ul li:hover ul { display:block; position:absolute; left:150px; top:-1px; width:150px; }
.menu ul li:hover ul li:hover ul li a { background:#ddd; color:#000; }
.menu ul li a:hover { color:#c00; background:#eee; }
.menu ul li a:hover ul { display:block; position:absolute; top:29px; left:0; background:#eee; margin-top:0; marg\in-top:1px; }
.menu ul li a:hover ul li a { height:20px; hei\ght:20px; line-height:15px; display:block; background:#ddd; color:#000; padding:5px 10px; width:151px; w\idth:129px; }
.menu ul li a:hover ul li a ul { visibility:hidden; position:absolute; height:0; width:0; }
.menu ul li a:hover ul li a:hover ul { visibility:visible; position:absolute; top:0; t\op:-1px; color:#000; left:150px; }
hr { clear:both; margin-bottom:1px; }
.left { clear:both; }

[item start]
  <tr><td>
  {.if|{.get|is new.}|<span class=flag>&nbsp;{.!NEW.}&nbsp;</span>.}
  {.if not|{.get|can access.}|<img src='/~img_lock'>.}
  <a href="%item-url%"><img src="%item-icon%" /> %item-name%</a>
  {.if| {.?search.} |{:<div class=item-folder>{.!item folder.} <a href="%item-folder%">%item-folder%</div>:} .}
  {.if| %item-comment% | <div class=comment>%item-comment%</div> .}

[file]
{.$item start.}<td align=right>%item-size%<td align=right>%item-modified%<td align=right>%item-dl-count%

[folder]
{.$item start.}<td align=center><i>{.!afolder.}</i><td align=right>%item-modified%<td align=right>%item-dl-count%

[link]
{.$item start.}<td colspan=3 align=center><i>{.!link.}</i>

[error-page]
<html>
  <head>
  <link rel="stylesheet" href="/~style.css" type="text/css" />
  <style type="text/css">{.$style.user.}</style>
  </head>
<body>
%content%
<hr>
<div style="font-family:tahoma, verdana, arial, helvetica, sans; font-size:8pt;">
<a href="http://www.rejetto.com/hfs/">HttpFileServer %version%</a>
<br />%timestamp%
</div>
</body>
</html>

[not found]
<h1>{.!Not found.}</h1>
<a href="/">{.!go to root.}</a>

[overload]
<h1>{.!Server busy.}</h1>
{.!retry later.}

[max contemp downloads]
<h1>{.!Download limit.}</h1>
{.!max c dl msg.}

[unauthorized]
<h1>{.!Unauthorized.}</h1>
{.!This is a protected resource..}
<br />{.!Your username/password doesn't match.}.

[deny]
<h1>{.!Unallowed.}</h1>
{.!This resource is not accessible..}

[ban]
<h1>{.!You are banned..}</h1>
%reason%

[upload]
<html>
<head>
  <title>HFS %folder%</title>
  <link rel="stylesheet" href="/~style.css" type="text/css" />
  <style type="text/css">{.$style.user.}</style>
</head>
<body>
<script language="javascript">
var s1, s2;
if (window.parent.progress) s1 = '" target=_parent', s2 = '{.!CLOSE PROGRESS FRAME.}';
else s1 = '+progress"', s2= '{.!ADD PROGRESS FRAME.}';
document.write('<a href="~upload'+s1+' class=button onClick="if (frm.upbtn.disabled) return false;"><img src="/~img10" /> '+s2+'</a>');
</script>
<a href="." target=_parent class=button><img src="/~img21" /> {.!CANCEL UPLOAD.}</a>
<div style="margin-top:25px" id=folderlabel>{.!folder.}</div>
<div id=folder>%folder%</div>
<div id=body>
<form name=frm action="." target=_parent method=post enctype="multipart/form-data" onSubmit="frm.upbtn.disabled=true; return true;">
%upload-files%
<input name=upbtn type=submit value="{.!Upload files.}">
</form>
<br />{.!progress advice.}
</div>
<div id=footer>
<a href="http://www.rejetto.com/hfs/">HFS %version% Build %build%</a>
<br />{.!Servertime.}: %timestamp%
<br />{.!Uptime.}: %uptime%
<br />{.!Disk space.}: %diskfree%
</div>
</body>
</html>

[upload-file]
<input name=fileupload%idx% size=70 type=file><br />

[upload-results]
<html>
<head>
  <link rel="stylesheet" href="/~style.css" type="text/css" />
  <title>HFS %folder%</title>
  <style type="text/css">{.$style.user.}</style>
</head>
<body>
<div style="margin-top:25px" id=folderlabel>{.!folder.}</div>
<div id=folder>%folder%</div>
<div id=body>
%uploaded-files%
<br /><br />
<a href="." target=_parent class=big><img src="/~img14" /> {.!Back to the folder.}</a>
</div>
<div class=footer><br />{.!Thank you again.} %user%, {.!see you soon !.} <br / <br / </a>
<a href="http://www.rejetto.com/hfs/">HFS %version% Build %build%</a>
<br / </a>
<br />{.!Servertime.}: %timestamp%
<br />{.!Uptime.}: %uptime%
<br />{.!Disk space.}: %diskfree%
</div>
</body>
</html>

[upload-success]
<li><a href='%item-url%'>%item-name%</a>: <b>{.!OK.}</b> --- %item-size%  ({.!Speed.} %speed% Ko/s)
{.if| %user% |{: {.append| %folder-resource%\hfs.comments.txt |{.filename|%item-resource%.}={.!has been uploaded by.}
/append.} :}/if.}

[upload-failed]
<li>%item-name%: {.!FAILED.} ---  {.!%reason%.}

[upload+progress]
<html>
<head>
<frameset cols=200,*>
  <frame name=progress src="/~progress" scrolling=auto marginwidth=0>
  <frame src="~upload-no-progress" scrolling=auto>
</frameset>
</head>
<body>
</body>
</html>

[progress]
<html>
<head>
  <meta http-equiv="Refresh" content="7;URL=/~progress">
  <link rel="stylesheet" href="/~style.css" type="text/css" />
  <style>
  .filename { font-weight:bold; font-size:8pt; }
  .bytes { font-size:7pt; }
  .perc { font-size:14px; vertical-align:middle; }
  .out_bar { width:100px; font-size:15px; background:black; border:black 1px solid; margin-right:5px; float:left; }
  .in_bar { height:16px; background:white; color:white;  }
  #body { margin-left:0; margin-right:0; }
  body { padding:2px; }
  #graph { border:white outset 2px; }
  {.$style.user.}
  </style>
  <title>HFS - {.!Progress status.}</title>
</head>
<body>
<div class=big>{.!Progress status.}</div>
{.!Auto-refresh.} 7 {.!1seconds.}
<br /><br /><img src="/~img_graph200x45" id="graph" />
<div id=body>
%progress-files%
</div>
<div id=footer>{.!Uptime.}: %uptime%</div>
</body>
</html>

[progress-nofiles]
<div class=big>{.!No file exchange in progress..}</div>

[progress-upload-file]
<span class=flag>&nbsp;up&nbsp;</span>
<span class=filename>%filename%</span>
<div class=bytes>
%done-bytes% / %total-bytes% bytes
<br />{.!Speed.}: %speed-kb% Ko/s
</div>
<div style="margin-top:5px; margin-bottom:20px;">
  <div class=out_bar><div class=in_bar style="width:%perc%px"></div></div> <span class=perc>%perc%%</span>
</div>

[progress-download-file]
<span class=flag>&nbsp;down&nbsp;</span>
<span class=filename>%filename%</span>
<div class=bytes>
%done-bytes% / %total-bytes% bytes
<br />{.!Speed.}: %speed-kb% Ko/s
</div>
<div style="margin-top:5px; margin-bottom:20px;">
  <div class=out_bar><div class=in_bar style="width:%perc%px"></div></div> <span class=perc>%perc%%</span>
</div>

[special:strings]
menu=.: Menu / Options :.
user=Utilisateur
Login=Connexion
search=Rechercher
Folder archive=Archiver le contenu<p> du répertoire (*.tar)</p>
File list=Liste des fichiers du<p> répertoire (URL)</p>
upload=Envoi de fichiers
Welcome={.repeat|1|&nbsp;.} Bienvenue
Current path=Chemin courant
Bfolder=Chemin courant
folder=Répertoire
folders=Répertoires
Build-time=Temps de chargement de la page
Download limit=Limite de télechargement
UP=Retour
files=Fichiers
file=Fichier
Total=Taille totale
Filename=Nom de Répertoire / Fichier
Filesize=Taille
Filetime=Date de dépôt
Hits=Popularité
Servertime=Horloge du Serveur
Uptime=HFS est actif depuis
Back to the folder=Retour
Unallowed=Non Allouée
This resource is not accessible.=Cette ressource n'est pas accessible.
You are banned.=Vous êtes banni.
Unauthorized=INTERDIT
This is a protected resource.=Ceci est une ressource protégée.
afolder=répertoire
link=Lien
links=Liens
Not found=Introuvable
Your username / password doesn't match=Votre Identifiant / Mot de passe semble inexact
go to root=Retour à la racine
Server busy=Serveur occupé
CLOSE PROGRESS FRAME=Fermer la FENÊTRE DE PROGRESSION
ADD PROGRESS FRAME=Ouvrir une <BLINK>FENÊTRE DE PROGRESSION</BLINK>
CANCEL UPLOAD=Annuler les envois
Upload files=Envoyer les fichiers
progress advice=Avant d'envoyer vos fichiers, vous pouvez ouvrir une <a target='_blank' href="/~progress"><U>fenêtre de progression</U></a>.
Disk space=Espace disque libre
OK=<font color=green><BLINK><b>Envoi réussi !</b></BLINK></font color>
Thank you for upload,=Merci d'uploader,
Thank you again=Merci encore
FAILED=<font color=red><BLINK><b>Echec de l'envoi !</b></BLINK></font color>
folder(s)=répertoire(s)
file(s)=fichier(s)
Progress status=Progression
Auto-refresh=Actualisation toutes les
seconds=seconde(s)
see you soon !=à bientôt !
max c dl msg=Ce serveur a une limite aux téléchargements <b>simultanés</b> .<br />Cette limite etant atteinte, veuillez réessayer plus tard.
retry later=Veuillez réessayer plus tard.
Speed=Vitesse
NEW=<BLINK>NOUVEAU</BLINK>
No files=<br><U>Aucun Fichiers</U>
No file exchange in progress.=Aucun transfert en cours.
Actual Page={.repeat|0|&nbsp;.} Page
Currently browsing=Chemin Courant
zfolder=Chemin courant:
Logout=Déconnexion
All=Tout
Items/Page=Éléments par page
BACK=Retour
item folder=Est un élément de
Found items=Élément(s) trouvé(s)
Next=Suivante
Prev=Précédente
Items=Élément(s)
to=à
1seconds=secondes.
First=Première
Last=Dernière
has been uploaded by=<font color=green><b>Le fichier <a href="%item-url%"><font color=firebrick>%item-name%</font color></a> est un envoi de </b><B><font color=firebrick>*</font color><font color=green>%user%</font color><font color=firebrick>*</font color></B></font color>
1Upload=Envoyer des Fichiers
1Folder archive=Archiver le contenu (*.tar)
1File list=Lister le contenu (URL)